Name: proj
Version: 4.9.3
Release: %mkrel 1
Summary: Cartographic projection software
Source0: http://download.osgeo.org/%{name}/%{name}-%{version}.tar.xz
Source1: http://download.osgeo.org/%{name}/%{name}-datumgrid-1.6.zip
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
License: MIT
URL: https://proj4.org
Group: Sciences/Geosciences
Provides: proj4 = %{version}-%{release}
Obsoletes: %name < %{version}-%{release}

%description
Cartographic projection software and libraries.

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/proj

#-------------------------------------------------------------------------

%define major 12
%define libname %mklibname %{name} %{major}

%package -n %{libname}
Summary: Cartographic projection software - Libraries
Group: System/Libraries
License: MIT

%description -n %{libname}
Cartographic projection software and libraries.

%files -n %{libname}
%defattr (-,root,root)
%{_libdir}/*.so.%{major}*

#-------------------------------------------------------------------------

%define develname %mklibname -d %name

%package -n %{develname}
Summary: Cartographic projection software - Development files
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Provides: proj4-devel = %{version}-%{release}
Provides: libproj4-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Obsoletes: %{mklibname -d proj 0}
Obsoletes: %{name}-devel < %{version}-%{release}


%description -n %{develname}
Cartographic projection development files.

%files -n %{develname}
%defattr (-,root,root)
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.la

#-------------------------------------------------------------------------

%define sdevelname %mklibname -d -s %name

%package -n %sdevelname
Summary: Cartographic projection software - Development files
Group: Development/Libraries
Provides: %name-static-devel = %{version}
Provides: proj4-static-devel = %{version}
Provides: libproj4-static-devel = %{version}
Requires: %{develname} = %{version}
Requires: %{libname} = %version-%release
Obsoletes: %{mklibname -d -s proj 0}

%description -n %{sdevelname}
Cartographic projection development files (static).

%files -n %{sdevelname}
%defattr (-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig/proj.pc
#-------------------------------------------------------------------------

%prep
%setup -D -q
pushd nad
unzip -qqo %{SOURCE1}
popd

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std
mkdir -p %{buildroot}%{_includedir}
install -m644 src/projects.h %{buildroot}%{_includedir}/
#ln -s %{_libdir}/libproj.so.9.1.0 %{buildroot}/%{_libdir}/libproj.so.9.0

%clean
rm -rf %buildroot


%changelog
* Sun Apr 08 2018 adrianomorselli <adrianomorselli> 4.9.3-1uplos2018
- update package and datumgrid
- disabled symlink
